body {
  overflow-x: hidden;
}

.mod-alert {
  margin-bottom: 8px;
  height: 30px;
  padding:0px 15px;    
}

.mod-login-back {
  background-color:black;
  background-image:
    radial-gradient(white, rgba(255,255,255,.2) 2px, transparent 40px),
    radial-gradient(white, rgba(255,255,255,.15) 1px, transparent 30px),
    radial-gradient(white, rgba(255,255,255,.1) 2px, transparent 40px),
    radial-gradient(rgba(255,255,255,.4), rgba(255,255,255,.1) 2px, transparent 30px);
  background-size: 550px 550px, 350px 350px, 250px 250px, 150px 150px; 
  background-position: 0 0, 40px 60px, 130px 270px, 70px 100px;
}

.mod-login-logo {
  max-height: 160px; 
  max-width: 100%;
}

.login-box a.help {
      
}

.mod-img-profile {
  width: 320px;
  height: 320px;    
}

.mod-group-button-block {
  margin: 0 auto;
  padding-top: 20px;
}

.mod-img-invert {
  -webkit-filter: invert(1);
  filter: invert(1);    
}

#image_pp {
  display: none;
}

.mod-content-table-mobile {
  display: none;
}

.mod-search-box {
  width: 200px;    
}

.mod-button-tool {
  display: none;
}

.mod-document-pad {
  padding: 0.25rem;
}

.select2-container {
  width: 100% !important;
}

.select2-selection {
  height: calc(2.25rem + 2px) !important;      
}

.select2-container--default .select2-selection--single {
  border: 1px solid #ced4da !important;
  background: #fff url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3E%3Cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3E%3C/svg%3E") no-repeat right .75rem center/8px 10px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  display: none;
}

.form-group label {
  font-size: small;
}

.mod-not-active {
  display: none;
}

.mod-sign-out {
  margin: auto;
}

.mod-sign-out a {
  cursor: pointer;
}

.mod-no-pagination {
  display: none;
}

.mod-users-editor-pad {
  padding-bottom: 8px;
  width: 100%;
}

.mod-users-editor-pad a.mod-remove-btn {
  display: block;
  position: absolute; 
  padding: 0;
  margin-top: -8px;
  margin-left: -4px;
}

.mod-card-header {
  display: flex;
}

.mod-card-header input {
  line-height: 0;
  flex: 2;
  border: none;
  background: transparent;
  width: 100%;
  color: inherit;
  padding-left: 4px;  
}

.mod-card-header h3 > i {
  vertical-align: middle;
}

/*
.mod-card-title {
  width: calc(100% - 160px);
}

input.card-title {
  border: none;
  background: transparent;
  width: 100%;
  color: inherit;
  padding-left: 4px;
}
*/
.textarea {
  width: 100%; 
  height: 320px; 
  font-size: 1.2em;
  line-height: 1.2em; 
  border: 1px solid #dddddd; 
}

.mod-container-thumbs {
  display: inherit;
  min-height: 160px;
}

.mod-thumbs-size {
  width: 88px; 
  height: 88px;
}

.mod-thumbs-size-view {
  width: 176px; 
  height: 176px;
}

.mod-thumbs-sizes {
/*  max-width: 100%; 
  height: 88px; */
  
  width: 100%; 
  height: 100%; 
  object-fit: contain;   
}

.mod-thumbs-place {
  padding: 0;
}

.mod-thumbs-container {
  margin-right: 8px;
  margin-bottom: 8px;
  text-align: center;
}

.mod-thumbs-place .mod-button-place {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.mod-thumbs-place .mod-button-place.mod-down {
  top: auto;
  bottom: 0;
}

.mod-thumbs-place a.mod-reups-btn,
.mod-thumbs-place a.mod-remove-btn {
  float: left;
  padding: 0 0 0 4px;  
}

.mod-thumbs-place a.mod-comment-btn,
.mod-thumbs-place a.mod-edit-btn {
  float: right;
  padding: 0 4px 0 0;  
}

.mod-upload-input-replace,
.mod-upload-input {
  display: none;
}

.custom-file-label::after {
  content: "Choose";
}

.mod-display-mobile {
  display: none;
}

.mod-badge-btn-tool {
  position: absolute !important;
  right: 0px;
}

.mod-card-body.not-active {
  display: none;
}

.mod-btn-tool.not-active {
  display: none;
}

.direct-chat-messages button {
  margin-bottom: 16px;
}

.direct-chat-text.self {
  background-color: #28a745 !important;
  border-color: #28a745 !important;
  color: #fff !important;
}

.direct-chat-text.self {
  background-color: #28a745 !important;
  border-color: #28a745 !important;
  color: #fff !important;
}

.direct-chat-primary .right > .direct-chat-text.self::after,
.direct-chat-primary .right > .direct-chat-text.self::before {
  border-left-color: #28a745;
  border-right-color: transparent;
}

.direct-chat-text.self::after,
.direct-chat-text.self::before {
  border-right-color: #28a745;
}

.direct-chat-messages {
  height: 400px;
}

/*.direct-chat-primary .direct-chat-name.float-right::after,
.direct-chat-primary .direct-chat-name.float-left::before {
  content:"\A";
  width:10px;
  height:10px;
  border-radius:50%;
  background: #b83b3b;
  display:inline-block;
  margin-left: 4px;
}

.direct-chat-primary .direct-chat-name.float-left::before {
  margin-right: 4px;
  margin-left: 0 !important;  
}*/

.fas.disabled,
.fas[disabled],
.disabled > .fas,
[disabled] > .fas {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

.mod-comment-btn.new-message::after {
  content:"\A";
  width:10px;
  height:10px;
  border-radius:50%;
  background: #b83b3b;
  position: absolute;
  top: 2px;
  right: 2px;
}

.carousel.mobile {
  display: none;    
}

table.table .mobile {
  display: none;
}

.carousel-dashboard .slick-prev {
  left: 20px;
  z-index: 80;
}

.carousel-dashboard .slick-next {
  right: 20px;
  z-index: 80;
}

.carousel-dashboard {
  margin-bottom: 20px;
}

textarea.js-auto-size {
  box-sizing: border-box;
  max-height: 94px; /* optional, but recommended */
  min-height: 31px;
  overflow-x: hidden; /* for Firefox (issue #5) */
}

.mod-filter {
  width: inherit;
  max-width: 50%;
}

.mod-card-tools-2 {
  display: flex;
}

.card-header > .card-tools {
  float: right;
  margin: 0 !important;
  margin-right: -.625rem !important;
}

.mod-pr-0 {
  padding-right: 0 !important;
}

.mod-pl-01 {
  padding-left: 0 !important;
}


.salesitems-block {
    
}

.salesitems-block .salesitems-itemcode {
  font-weight: 700;
  font-size: 14px;  
}

.salesitems-block .salesitems-itemcode > span {
  font-weight: 400;
  font-size: 12px;
}

.salesitems-block .salesitems-itemname > span {
  font-weight: 400;
  font-size: 12px;
}

.salesitems-block .salesitems-price {
  font-weight: 700;
  font-size: 14px;  
}

.salesitems-block .salesitems-price > span {
  font-weight: 400;
  font-size: 12px;
}

.summary-daily {
  margin: .25rem !important;    
}

.summary-daily .summary-date {
  font-size: small;    
}

.summary-daily .summary-no-sales {
  font-size: small;    
}

.summary-daily .summary-no-report {
  font-size: small;    
  font-weight: 700;
}

.summary-daily .summary-quantity {
  font-size: small;    
}

.summary-daily .summary-amount {
  font-size: small;    
  font-weight: 700;
}

.form-group.mod-form-group {
  margin-bottom: 0.5rem !important;
}

.form-group.mod-form-group label {
  margin-bottom: 0 !important;
}

.form-group.mod-form-group .custom-select {
  height: calc(1.8125rem + 2px) !important;
  padding: .25rem .5rem !important;
  font-size: .875rem !important;
  line-height: 1.5 !important;
  border-radius: .2rem !important;
}

.form-group.mod-form-group .select2 .select2-selection.select2-selection--single {
  height: calc(1.8125rem + 2px) !important;
}

.mod-td-pl {
  padding-left: 0.3rem !important;
}

input.input-currency {
  text-align: right;
}

.input-group-sm > .custom-file {
  height: 2rem !important;
}

.input-group-sm > .custom-file > .custom-file-input {
  height: 2rem !important;
}

.input-group-sm > .custom-file > .custom-file-label {
  height: 2rem !important;
}

.input-group-sm > .custom-file > .custom-file-label::after {
  height: calc(2rem - 2px) !important;
}

/* MOD Menu */
.menu-list .btn-app {
  height: 72px !important;
}

.menu-list .btn-app i {
  font-size: 2rem !important;
}
/* *** */

/* MOD Select multiple */
div.multiple>span {
    display: block;
}
div.multiple>span>.btn-group {
    width: 100%;
}
/* *** */


/* BOOTSTRAP OVERRIDE */
.card-primary.card-outline {
    border-top: 3px solid #6B1D2F;
}

.btn-primary {
    color: #fff;
    background-color: #6B1D2F;
    border-color: #6B1D2F;
    box-shadow: none;
}

.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #5A1827;
    border-color: #5A1827;
}

.btn-primary:hover {
    color: #fff;
    background-color: #5A1827;
    border-color: #5A1827;
}

.btn-primary.focus, .btn-primary:focus {
    color: #fff;
    background-color: #5A1827;
    border-color: #5A1827;
    box-shadow: 0 0 0 0 rgba(38, 143, 255, .5);
}
/*
.navbar-dark {
    background-color: #C98B8B;
    border-color: #D49A9A;
}

[class*=sidebar-dark-] {
    background-color: #C98B8B;
    color: #c2c7d0;
}

[class*=sidebar-dark-] .sidebar a {
    color: #F7F4F4;
}

*/

.sidebar-dark-navy .nav-sidebar>.nav-item>.nav-link.active, .sidebar-light-navy .nav-sidebar>.nav-item>.nav-link.active {
    background-color: #5A1827;
    color: #FFF;
}

.form-control:focus {
    border-color: #5A1827;
}

/* *** */


@media screen and (max-width: 480px) {
    
  .mod-button-table span {
    display: none;  
  }
  
  .mod-button-table.btn {
    width: 32px;
    height: 31px;  
  }  
  
  
  .mod-column-table {
    display: none;
  }
  
  .mod-content-table-mobile {
    display: block;
    padding-top: 4px;
  }
  
  .mod-content-table-mobile img.table-avatar {
    width: 1.5rem;
  }
    
  .mod-search-box {
    width: 150px;    
  }
  
  .mod-button-tool {
    display: block;
  }  
  
  .mod-button-disp {
    display: none;
  }
  
  .user-block.mod-user-block {
    width: 100%;
  }  
  /*
  .mod-card-title {
    width: calc(100% - 56px);
  }
  */
  .mod-display-mobile {
    display: inline;
  }
      
  .mod-display-nomobile {
    display: none;
  }  
  
  .mod-card-tools {
    display: inline-flex;
    padding-top: 4px;    
  }  
  
  .mod-card-body-mobile {
    padding: 4px;
  }
  
  .card-tools .dropdown-item span.right {
    float: right;
    margin-top: 4px;
  }
  
  .carousel.mobile {
    display: block;    
  }
  
  .carousel.desktop {
    display: none;    
  }
  
  table.table .desktop {
    display: none;
  }
  
  table.table .mobile {
    display: block;
  }
  
  table.table .itemcode.mobile,
  table.table .badge.mobile {
    display: inline-block;
  }
  
  .mod-p-2 {
    padding: .5rem !important;
  }
  
  .mod-pl-0 {
    padding-left: 0 !important;
  }
  
  .mod-pr-0 {
    padding-right: 7.5px !important;
  }  
  
  .mod-pl-01 {
    padding-left: 7.5px !important;
  }  
  
  .btn.mod-btn-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
  }
  
  .mod-input-group-sm > .form-control {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
  }
  
  .mod-input-group-sm > .form-control:not(textarea) {
    height: calc(1.8125rem + 2px);
  }  
        
  .mod-input-group-sm > .input-group-prepend > .input-group-text,
  .mod-input-group-sm > .input-group-append > .btn {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
  }
    
  .mod-card-tools-2 {
    flex-direction: column;
  }
  
  .card-header > .card-tools {
    float: right;
    margin: 0 !important;
    margin-right: -.625rem !important;
  }
  
  .summary-daily {
    margin: 0 !important;
    border: 1px solid gray;    
  }  
  
  .mobile.transfer-detail {
    border-top: 1px solid #9f9f9f;
    margin-top: 4px;
    line-height: 16px;
    padding-left: 8px;
  }
  
  .form-group.mod-form-group {
    margin-bottom: 0.5rem !important;
  }
  
  .mod-display-mobile.transfer-items {
    line-height: 16px;
  }
  
  .login-box .card-header > h1 {
    font-size: 2rem;
  }
    
}